package cn.superdesk.uniorder.dao.mapper.accounting.unified.supplier;

import cn.superdesk.uniorder.dao.entity.accounting.unified.supplier.AccountingUnifiedSupplierIssues;
import cn.superdesk.uniorder.dao.entity.accounting.unified.supplier.AccountingUnifiedSupplierIssuesExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AccountingUnifiedSupplierIssuesMapper {
    long countByExample(AccountingUnifiedSupplierIssuesExample example);

    int deleteByExample(AccountingUnifiedSupplierIssuesExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AccountingUnifiedSupplierIssues record);

    int insertSelective(AccountingUnifiedSupplierIssues record);

    List<AccountingUnifiedSupplierIssues> selectByExampleWithBLOBs(AccountingUnifiedSupplierIssuesExample example);

    List<AccountingUnifiedSupplierIssues> selectByExample(AccountingUnifiedSupplierIssuesExample example);

    AccountingUnifiedSupplierIssues selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AccountingUnifiedSupplierIssues record, @Param("example") AccountingUnifiedSupplierIssuesExample example);

    int updateByExampleWithBLOBs(@Param("record") AccountingUnifiedSupplierIssues record, @Param("example") AccountingUnifiedSupplierIssuesExample example);

    int updateByExample(@Param("record") AccountingUnifiedSupplierIssues record, @Param("example") AccountingUnifiedSupplierIssuesExample example);

    int updateByPrimaryKeySelective(AccountingUnifiedSupplierIssues record);

    int updateByPrimaryKeyWithBLOBs(AccountingUnifiedSupplierIssues record);

    int updateByPrimaryKey(AccountingUnifiedSupplierIssues record);
}